## mriconvert 2.0

=== CMakeLists.txt ===
PROJECT(MRIConvert)

cmake_minimum_required(VERSION 2.6)


## The stuff under "else (win32)" should also work under windows, but it didn't for me.
## I didn't want to spend a lot of time getting it to work, so I just set up the win32 stuff
## manually.

IF (WIN32)

  SET(WX_PATH CACHE PATH "wxWidgets directory")

  INCLUDE_DIRECTORIES(${WX_PATH}/include
                      ${WX_PATH}/lib/vc_lib/msw )

  LINK_DIRECTORIES( ${WX_PATH}/lib/vc_lib)

ELSE(WIN32)

##  IF(NOT APPLE)
##	SET(CMAKE_FIND_LIBRARY_SUFFIXES .a)
##	SET(CMAKE_EXE_LINKER_FLAGS -static)
##  endif(NOT APPLE)

  SET(WXW_USE_DEBUG OFF)
  SET(WXW_USE_UNICODE ON)
  SET(WXW_USE_SHARED ON)
  SET(WXW_USE_UNIV OFF)
  SET(WXW_USE_MONO OFF)
  SET(WXW_FILE_VERSION "28")
  SET(WXW_VERSION "2.8")

  SET(CMAKE_VERBOSE_MAKEFILE TRUE)

  SET(EXECUTABLE_OUTPUT_PATH "release")
  
  INCLUDE (FindwxWidgets)
  
  SET(CMAKE_CXX_FLAGS " -DWX_PRECOMP ${CMAKE_CXX_FLAGS}${wxWidgets_CXX_FLAGS}")

  ADD_DEFINITIONS( ${wxWidgets_DEFINITIONS} ${PROJECT_DEFINITIONS} )

  INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIRS})
  LINK_DIRECTORIES( ${wxWidgets_LIBRARY_DIRS} )
  
ENDIF(WIN32)


IF( OS_X )
   message( "OS X build" )
   SET( MACOSX_BUNDLE_INFO_STRING "MRIConvert - version 2.0" )
   SET( MACOSX_BUNDLE_BUNDLE_VERSION "2.0" )
   # Change following line to point to actual icns file in bundle.
   SET( MACOSX_BUNDLE_ICON_FILE "MRIConvert.icns" )
   SET( MACOSX_BUNDLE_GUI_IDENTIFIER "edu.uoregon.lcni.MRIConvert" )
   SET( MACOSX_BUNDLE_BUNDLE_NAME "MRIConvert" )

   EXEC_PROGRAM( "cp macosx/MRIConvert.icns macosx/MRIConvert.app/Contents/Resources")

   # Overload the Info.plist default
   SET( CMAKE_MODULE_PATH macosx ${CMAKE_MODULE_PATH} )
ENDIF( OS_X )

ADD_EXECUTABLE(MRIConvert WIN32 MACOSX_BUNDLE
	AnalyzeOutputter.cpp
	AnalyzeVolume.cpp
	Basic3DOutputter.cpp
	BasicVolumeFormat.cpp
	BvFiles.cpp
	Converter.cpp
	DicomFile.cpp
	DicomTree.cpp
	DicomViewer.cpp
	Dictionary.cpp
	FslNiftiOutputter.cpp
	HandlerFactory.cpp
	ImageView.cpp
	InfoFrame.cpp
	MRIConvert.cpp
	McFrame.cpp
	McPanel.cpp
	MessageList.cpp
	NewBvOutputter.cpp
	NewMetaOutputter.cpp
	NewMetaVolume.cpp
	NewSpmOutputter.cpp
	NewSpmVolume.cpp
	NiftiOutputter.cpp
	NiftiVolume.cpp
	OutputFactory.cpp
	OutputList.cpp
	OutputTreeNew.cpp
	OutputterBase.cpp
	OverwriteDlg.cpp
	OptionsDialogs.cpp
	SeriesHandler.cpp
	StringConvert.cpp
	TextFileViewer.cpp
	Volume.cpp
	jcsTree.cpp

	AnalyzeOutputter.h
	AnalyzeVolume.h
	Basic3DOutputter.h
	BasicVolumeFormat.h
	BvFiles.h
	ByteSwap.h
	Converter.h
	DicomFile.h
	DicomTree.h
	DicomViewer.h
	Dictionary.h
	FslNiftiOutputter.h
	HandlerFactory.h
	ImageView.h
	InfoFrame.h
	MRIConvert.h
	McFrame.h
	McPanel.h
	MessageList.h
	NewBvOutputter.h
	NewMetaOutputter.h
	NewMetaVolume.h
	NewSpmOutputter.h
	NewSpmVolume.h
	NiftiOutputter.h
	NiftiVolume.h
	OptionsDialogs.h
	OutputFactory.h
	OutputList.h
	OutputTreeNew.h
	OutputterBase.h
	OverwriteDlg.h
	ReadStream.h
	SeriesHandler.h
	StringConvert.h
	TextFileViewer.h
	Volume.h
	jcsTree.h
	nifti1.h
	metaTypes.h
	resource.h

	DicomFile.txx
	SeriesHandler.txx
	NewBvOutputter.txx
	Basic3DOutputter.txx

	MRIConvert.ico
)

ADD_EXECUTABLE(mcverter
	McVerter.cpp
	AnalyzeOutputter.cpp
	AnalyzeVolume.cpp
	Basic3DOutputter.cpp
	BasicVolumeFormat.cpp
	BvFiles.cpp
	Converter.cpp
	DicomFile.cpp
	Dictionary.cpp
	FslNiftiOutputter.cpp
	HandlerFactory.cpp
	NewBvOutputter.cpp
	NewMetaOutputter.cpp
	NewMetaVolume.cpp
	NewSpmOutputter.cpp
	NewSpmVolume.cpp
	NiftiOutputter.cpp
	NiftiVolume.cpp
	OutputFactory.cpp
	OutputList.cpp
	OutputterBase.cpp
	SeriesHandler.cpp
	StringConvert.cpp
	Volume.cpp

	McVerter.h
	AnalyzeOutputter.h
	AnalyzeVolume.h
	Basic3DOutputter.h
	BasicVolumeFormat.h
	BvFiles.h
	ByteSwap.h
	Converter.h
	DicomFile.h
	Dictionary.h
	FslNiftiOutputter.h
	HandlerFactory.h
	NewBvOutputter.h
	NewMetaOutputter.h
	NewMetaVolume.h
	NewSpmOutputter.h
	NewSpmVolume.h
	NiftiOutputter.h
	NiftiVolume.h
	OutputFactory.h
	OutputterBase.h
	ReadStream.h
	SeriesHandler.h
	StringConvert.h
	Volume.h
	nifti1.h
	metaTypes.h
	resource.h

	DicomFile.txx
	SeriesHandler.txx
	NewBvOutputter.txx
	Basic3DOutputter.txx
)


IF (WIN32)

  TARGET_LINK_LIBRARIES( MRIConvert

	optimized wxbase28u
	optimized wxmsw28u_core
	optimized wxjpeg
	optimized wxpng
	optimized wxtiff
	optimized wxzlib
	debug     wxbase28ud
	debug     wxmsw28ud_core
	debug     wxjpegd
	debug     wxtiffd
	debug     wxpngd
	debug     wxzlibd
	          comctl32
	          rpcrt4
 )

  TARGET_LINK_LIBRARIES( mcverter

	optimized wxbase28u
	optimized wxmsw28u_core
	debug     wxbase28ud
	debug     wxmsw28ud_core
	          comctl32
		  rpcrt4
  )

ELSE(WIN32)

  TARGET_LINK_LIBRARIES(MRIConvert ${wxWidgets_LIBRARIES})
  TARGET_LINK_LIBRARIES(mcverter ${wxWidgets_LIBRARIES})

ENDIF(WIN32)

## mriconvert 2.0.4

=== CMakeLists.txt ===
#####################################################
## CMakeLists.txt for MRIConvert and mcverter
##

PROJECT(MRIConvert)

cmake_minimum_required( VERSION 2.6 )

if (WIN32)
  set( wxWidgets_ROOT_DIR C:/wxWidgets-2.8.12 )
  set( BOOST_ROOT c:/boost_1_52_0 )
else (WIN32)
  set( wxWidgets_ROOT_DIR /usr )
  set( wxWidgets_USE_DEBUG OFF )
  set( wxWidgets_USE_UNICODE ON )
  set( wxWidgets_USE_SHARED OFF )
  set( wxWidgets_USE_UNIVERSAL OFF )
  ## Uncomment for gnu debug.
  ##set( CMAKE_CXX_FLAGS " -ggdb ${CMAKE_CXX_FLAGS} " )
endif (WIN32)

set(CMAKE_VERBOSE_MAKEFILE TRUE)
set(EXECUTABLE_OUTPUT_PATH "release")

## Setup for wxWidgets
set( wxWidgets_USE_LIBS adv core base )
find_package(wxWidgets REQUIRED)
if (wxWidgets_FOUND)
  message ( "wxWidgets_FOUND" )
  include( ${wxWidgets_USE_FILE} )
endif (wxWidgets_FOUND)
  
## Setup for Boost.
set( Boost_USE_STATIC_LIBS TRUE )
find_package( Boost COMPONENTS program_options REQUIRED )
if (Boost_FOUND)
  include_directories( ${Boost_INCLUDE_DIRS} )
  link_directories( ${Boost_LIBRARY_DIRS} )
endif (Boost_FOUND)
  
message ( "boost libraries: ${Boost_LIBRARIES}" )
message ( "wx lib: ${wxWidgets_LIBRARIES}" )
    
message( "System name ${CMAKE_HOST_SYSTEM_NAME}" )

if ( ${CMAKE_HOST_APPLE} )
  message( "OS X build" )

  ##set( CMAKE_OSX_ARCHITECTURES "x86_64")
  set( CMAKE_OSX_ARCHITECTURES "i386")

  set( MACOSX_BUNDLE_INFO_STRING "MRIConvert-mcverter" )
  set( MACOSX_BUNDLE_ICON_FILE "MRIConvert.icns" )
  set( MACOSX_BUNDLE_GUI_IDENTIFIER "edu.uoregon.lcni.MRIConvert" )
  set( MACOSX_BUNDLE_LONG_VERSION_STRING "version 2.0.x" )
  set( MACOSX_BUNDLE_BUNDLE_NAME "MRIConvert" )
  set( MACOSX_BUNDLE_SHORT_VERSION_STRING "version short" )
  set( MACOSX_BUNDLE_BUNDLE_VERSION "2.0" )
  set( MACOSX_BUNDLE_COPYRIGHT "copyright" )
endif ( ${CMAKE_HOST_APPLE} )

ADD_EXECUTABLE ( MRIConvert WIN32 MACOSX_BUNDLE
	AchievaDtiHandler.cpp
  AnalyzeOptionsDlg.cpp
  AnalyzeOutputter.cpp
	AnalyzeVolume.cpp
	Basic3DOutputter.cpp
  BasicOptionsDlg.cpp
	BasicVolumeFormat.cpp
	BvFiles.cpp
  BvOptionsDlg.cpp
	Converter.cpp
  DicomElement.cpp
  DicomElementInstance.cpp
	DicomFile.cpp
  DicomTag.cpp
	DicomTree.cpp
	DicomViewer.cpp
	Dictionary.cpp
  EnhancedMrHandler.cpp
	FslNiftiOutputter.cpp
  GeDti2Handler.cpp
  GeDtiRbHandler.cpp
  GeEpiHandler.cpp
  Globals.cpp
	HandlerFactory.cpp
	ImageView.cpp
	InfoFrame.cpp
  MainHeader.cpp
	MRIConvert.cpp
	McFrame.cpp
	McPanel.cpp
	MessageList.cpp
  MetaHeader.cpp
  MetaOptionsDlg.cpp
	NewBvOutputter.cpp
	NewMetaOutputter.cpp
	NewMetaVolume.cpp
	NewSpmOutputter.cpp
	NewSpmVolume.cpp
  NiftiOptionsDlg.cpp
	NiftiOutputter.cpp
	NiftiVolume.cpp
  NoOptionsDlg.cpp
  NumarisMosaicHandler.cpp
	OutputFactory.cpp
	OutputList.cpp
	OutputTreeNew.cpp
	OutputterBase.cpp
  OverrideDlg.cpp
	OverwriteDlg.cpp
	OptionsDialogs.cpp
  Preamble.cpp
	SeriesHandler.cpp
  SpmOptionsDlg.cpp
	StringConvert.cpp
  SyngoHandler.cpp
  SyngoMosaicHandler.cpp
	TextFileViewer.cpp
  ValueRepresentations.cpp
	Volume.cpp
	jcsTree.cpp

	AchievaDtiHandler.h
  AnalyzeOptionsDlg.h
  AnalyzeOutputter.h
	AnalyzeVolume.h
	Basic3DOutputter.h
  BasicOptionsDlg.h
	BasicVolumeFormat.h
	BvFiles.h
  BvOptionsDlg.h
	ByteSwap.h
	Converter.h
  DicomElement.h
  DicomElementInstance.h
	DicomFile.h
  DicomTag.h
  DicomTags.h
	DicomTree.h
	DicomViewer.h
	Dictionary.h
  EnhancedMrHandler.h
	FslNiftiOutputter.h
  GeDti2Handler.h
  GeDtiRbHandler.h
  GeEpiHandler.h
  Globals.h
	HandlerFactory.h
	ImageView.h
	InfoFrame.h
  MainHeader.h
	MRIConvert.h
	McFrame.h
	McPanel.h
	MessageList.h
  MetaHeader.h
  MetaOptionsDlg.h
	NewBvOutputter.h
	NewMetaOutputter.h
	NewMetaVolume.h
	NewSpmOutputter.h
	NewSpmVolume.h
  NiftiOptionsDlg.h
	NiftiOutputter.h
	NiftiVolume.h
  NoOptionsDlg.h
  NumarisMosaicHandler.h
	OptionsDialogs.h
	OutputFactory.h
	OutputList.h
	OutputTreeNew.h
	OutputterBase.h
  OverrideDlg.h
	OverwriteDlg.h
  Preamble.h
	ReadStream.h
	SeriesHandler.h
  SpmOptionsDlg.h
	StringConvert.h
  SyngoHandler.h
  SyngoMosaicHandler.h
	TextFileViewer.h
  ValueRepresentations.h
	Volume.h
	jcsTree.h
	nifti1.h
	metaTypes.h
	resource.h
	fileformats.h
	version_string.h

	DicomFile.txx
	SeriesHandler.txx
	NewBvOutputter.txx
	Basic3DOutputter.txx

	MRIConvert.ico
  MRIConvert.icns
)

ADD_EXECUTABLE ( mcverter
	McVerter.cpp
  AchievaDtiHandler.cpp
  AnalyzeOutputter.cpp
	AnalyzeVolume.cpp
	Basic3DOutputter.cpp
	BasicVolumeFormat.cpp
	BvFiles.cpp
	Converter.cpp
  DicomElement.cpp
  DicomElementInstance.cpp
	DicomFile.cpp
  DicomTag.cpp
	Dictionary.cpp
  EnhancedMrHandler.cpp
	FslNiftiOutputter.cpp
  GeDti2Handler.cpp
  GeDtiRbHandler.cpp
  GeEpiHandler.cpp
  Globals.cpp
	HandlerFactory.cpp
  MainHeader.cpp
  MetaHeader.cpp
	NewBvOutputter.cpp
	NewMetaOutputter.cpp
	NewMetaVolume.cpp
	NewSpmOutputter.cpp
	NewSpmVolume.cpp
	NiftiOutputter.cpp
	NiftiVolume.cpp
  NumarisMosaicHandler.cpp
	OutputFactory.cpp
	OutputList.cpp
	OutputterBase.cpp
  Preamble.cpp
	SeriesHandler.cpp
	StringConvert.cpp
  SyngoHandler.cpp
  SyngoMosaicHandler.cpp
  ValueRepresentations.cpp
	Volume.cpp

	McVerter.h
  AchievaDtiHandler.h
	AnalyzeOutputter.h
	AnalyzeVolume.h
	Basic3DOutputter.h
	BasicVolumeFormat.h
	BvFiles.h
	ByteSwap.h
	Converter.h
  DicomElement.h
  DicomElementInstance.h
	DicomFile.h
  DicomTag.h
  DicomTags.h
	Dictionary.h
  EnhancedMrHandler.h
	FslNiftiOutputter.h
  GeDti2Handler.h
  GeDtiRbHandler.h
  GeEpiHandler.h
  Globals.h
	HandlerFactory.h
  MainHeader.h
  MetaHeader.h
	NewBvOutputter.h
	NewMetaOutputter.h
	NewMetaVolume.h
	NewSpmOutputter.h
	NewSpmVolume.h
	NiftiOutputter.h
	NiftiVolume.h
  NumarisMosaicHandler.h
	OutputFactory.h
	OutputterBase.h
  Preamble.h
	ReadStream.h
	SeriesHandler.h
	StringConvert.h
  SyngoHandler.h
  SyngoMosaicHandler.h
  ValueRepresentations.h
	Volume.h
	nifti1.h
	metaTypes.h
	resource.h
	fileformats.h
	version_string.h

	DicomFile.txx
	SeriesHandler.txx
	NewBvOutputter.txx
	Basic3DOutputter.txx
)


if (WIN32)

  TARGET_LINK_LIBRARIES ( MRIConvert
	  comctl32
	  rpcrt4
	  ${Boost_LIBRARIES}
    ${wxWidgets_LIBRARIES}
  )

  TARGET_LINK_LIBRARIES ( mcverter
	  comctl32
	  rpcrt4
	  ${Boost_LIBRARIES}
    ${wxWidgets_LIBRARIES}
  )

else (WIN32)

  TARGET_LINK_LIBRARIES( MRIConvert ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )
  TARGET_LINK_LIBRARIES( mcverter ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )

  set_source_files_properties(
        MRIConvert.icns
        PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
        )

endif (WIN32)

=== debian/changelog ===
mriconvert (1:2.0.4-3) unstable; urgency=low

  * Undo previous changes.  Linking with boost-exceptions was not the
    problem.  It seems rather that the boost packages were built with
    an older compiler.
  * control: Change dependency to boost1.54.

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Jul 2013 02:08:36 -0500

mriconvert (1:2.0.4-2) unstable; urgency=low

  * patches/boost-exception.patch: New.  Link with
    -lboost_program_options.  The build on MIPS and ARM failed because
    Boost program-options needs symbols from Boost exception.
  
  * control: Add build-dependency for Boost.Exception.  Unfortunately, the
    current boost-defaults is missing an unversioned boost-exception-dev,
    so added deps for Boost 1.53.

 -- Steve M. Robbins <smr@debian.org>  Tue, 09 Jul 2013 22:35:19 -0500

mriconvert (1:2.0.4-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 07 Jul 2013 03:24:50 -0500

mriconvert (2.0.250-2) UNRELEASED; urgency=low

  * control:
    - multi-line build-depends to ease patching for backports
    - revert to build against ITK 3 instead of ITK 4 which still
      FTBFS on various architectures
    - boosted policy to 3.9.4 (no further changes seems to be due)
  * rules:
    - added --no-info to help2man call to remove statement about
      (absent) Texinfo documentation

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Feb 2013 08:56:12 -0500

mriconvert (2.0.250-1) unstable; urgency=low

  * New upstream.  Closes: #699939.
  * control: Update build-depends (add libboost-program-options-dev).
  * patches/findwxwidgets.patch: Remove.
  * patches/wxwidgets-initializer.patch: Remove.
  * Upstream fixed source package issues; remove get-orig-source script.

 -- Steve M. Robbins <smr@debian.org>  Thu, 07 Feb 2013 21:29:55 -0600

mriconvert (2.0.235+dfsg-1) UNRELEASED; urgency=low

  [ Dmitry Smirnov ]
  * debian/watch: Enable proper detection of new upstream version

  [ Andreas Tille ]
  * debian/copyright:
     - DEP 5
     - Add Files-Excluded to document what was removed from original source
     - Also exclude prebuilded binary files once we are repackaging to save
       a lot of disk space
  * There is no point in mentioning quilt explicitly since source format
    3 (quilt) is used
  * debian/rules: Detect upstream version automatically

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2012 14:47:57 +0200

mriconvert (2.0.235-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Fri, 09 Mar 2012 20:51:58 -0600

mriconvert (2.0.217-4) unstable; urgency=low

  * patches/wxwidgets-initializer.patch: New.  Pass argc, argv to
    wxInitializer constructor (thanks, Olly Betts).  Fixes segfault; see
    #646654.

 -- Steve M. Robbins <smr@debian.org>  Thu, 10 Nov 2011 23:06:44 -0600

mriconvert (2.0.217-3) unstable; urgency=low

  * rules: Search for built binary in */release.

 -- Steve M. Robbins <smr@debian.org>  Fri, 07 Oct 2011 07:32:29 -0500

mriconvert (2.0.217-2) unstable; urgency=low

  * rules: Support use of dpkg before 1.16.1 by using "-include" for
    buildflags.mk.  Create mcverter man page; install together with
    MRIConvert manpage.
  
  * MRIConvert.1: New.
  
  * control: Update Standards-Version to 3.9.2.

 -- Steve M. Robbins <smr@debian.org>  Thu, 06 Oct 2011 21:03:57 -0500

mriconvert (2.0.217-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Tue, 04 Oct 2011 19:47:11 -0500

mriconvert (2.0.216-1) unstable; urgency=low

  * New upstream.  Closes: #631168.
    - Help | File formats is fixed.  Closes: #617345.
  
  * rules: enable parallel builds.

 -- Steve M. Robbins <smr@debian.org>  Wed, 22 Jun 2011 23:15:12 -0500

mriconvert (2.0.203-1) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Adding man page for mcverter (help2man) 
  * Adding watch file
  * Adding a get-orig-source file 

  [ Steve M. Robbins ]
  * New upstream.  Update get-orig-source script.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Apr 2011 22:38:03 -0500

mriconvert (2.0-2) unstable; urgency=low

  * copyright: Replace with correct copyright & license statements.

 -- Steve M. Robbins <smr@debian.org>  Sun, 31 Oct 2010 22:20:49 -0500

mriconvert (2.0-1) unstable; urgency=low

  * Initial upload.  Closes: #599880.

 -- Steve M. Robbins <smr@debian.org>  Tue, 12 Oct 2010 23:40:00 -0500

=== debian/control ===
Source: mriconvert
Homepage: http://lcni.uoregon.edu/~jolinda/MRIConvert/
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 9),
               libboost-program-options1.54-dev,
               libinsighttoolkit3-dev,
               libwxgtk2.8-dev,
               cableswig,
               cmake,
               help2man,
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mriconvert/trunk/

Package: mriconvert
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: medical image file conversion utility
 MRIConvert is a medical image file conversion utility that converts
 DICOM files to NIfTI 1.1, Analyze 7.5, SPM99/Analyze, BrainVoyager,
 and MetaImage volume formats.

## mriconvert 2.0.6

=== debian/changelog ===
mriconvert (1:2.0.6-1) unstable; urgency=low

  * New upstream.  Closes: #731298.
  * control: Remove unnecessary build-depends on libinsighttoolkit3-dev.
    Update Standards-Version to 3.9.5.
  * watch: Replace with version from http://anonscm.debian.org/viewvc/sepwatch

 -- Steve M. Robbins <smr@debian.org>  Sat, 07 Dec 2013 16:51:57 -0600

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9),
                libboost-program-options1.54-dev,
-               libinsighttoolkit3-dev,
                libwxgtk2.8-dev,
                cableswig,
                cmake,
                help2man,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mriconvert/trunk/

## mriconvert 2.0.7

=== CMakeLists.txt ===
#####################################################
## CMakeLists.txt for MRIConvert and mcverter
#####################################################

PROJECT(MRIConvert)

cmake_minimum_required( VERSION 2.8 )

if (WIN32)
  set( wxWidgets_ROOT_DIR C:/wxWidgets-2.8.12 )
  set( BOOST_ROOT c:/boost_1_52_0 )
else (WIN32)
  set( wxWidgets_ROOT_DIR /usr )
  ## Uncomment for gnu debug.
  ##set( CMAKE_CXX_FLAGS " -ggdb ${CMAKE_CXX_FLAGS} " )
endif (WIN32)

set( wxWidgets_USE_DEBUG OFF )
set( wxWidgets_USE_UNICODE ON )
set( wxWidgets_USE_SHARED OFF )
set( wxWidgets_USE_UNIVERSAL OFF )

set(CMAKE_VERBOSE_MAKEFILE TRUE)
set(EXECUTABLE_OUTPUT_PATH "release")

## Setup for wxWidgets, order is important, see
## http://docs.wxwidgets.org/stable/wx_librarieslist.html
set( wxWidgets_USE_LIBS adv core base )
find_package(wxWidgets REQUIRED)
if (wxWidgets_FOUND)
  include( ${wxWidgets_USE_FILE} )
endif (wxWidgets_FOUND)
  
## Setup for Boost.
set( Boost_USE_STATIC_LIBS TRUE )
find_package( Boost COMPONENTS program_options REQUIRED )
if (Boost_FOUND)
  include_directories( ${Boost_INCLUDE_DIRS} )
  link_directories( ${Boost_LIBRARY_DIRS} )
endif (Boost_FOUND)
  
message ( "Boost libraries: ${Boost_LIBRARIES}" )
message ( "wxWidgets libraries: ${wxWidgets_LIBRARIES}" )
    
message( "System name ${CMAKE_HOST_SYSTEM_NAME}" )

if ( ${CMAKE_HOST_APPLE} )
  message( "OS X build" )

  set( CMAKE_OSX_ARCHITECTURES "x86_64")

  set( MACOSX_BUNDLE_INFO_STRING "MRIConvert-mcverter" )
  set( MACOSX_BUNDLE_ICON_FILE "MRIConvert.icns" )
  set( MACOSX_BUNDLE_GUI_IDENTIFIER "edu.uoregon.lcni.MRIConvert" )
  set( MACOSX_BUNDLE_LONG_VERSION_STRING "version 2.0.x" )
  set( MACOSX_BUNDLE_BUNDLE_NAME "MRIConvert" )
  set( MACOSX_BUNDLE_SHORT_VERSION_STRING "2.0.x" )
  set( MACOSX_BUNDLE_BUNDLE_VERSION "2.0" )
  set( MACOSX_BUNDLE_COPYRIGHT "copyright" )

  set_source_files_properties(
        MRIConvert.icns
        PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
        )
endif ( ${CMAKE_HOST_APPLE} )

ADD_EXECUTABLE ( MRIConvert WIN32 MACOSX_BUNDLE
  AchievaDtiHandler.cpp
  AnalyzeOptionsDlg.cpp
  AnalyzeOutputter.cpp
  AnalyzeVolume.cpp
  Basic3DOutputter.cpp
  BasicOptionsDlg.cpp
  BasicVolumeFormat.cpp
  BvFiles.cpp
  BvOptionsDlg.cpp
  Converter.cpp
  DicomElement.cpp
  DicomElementInstance.cpp
  DicomFile.cpp
  DicomTag.cpp
  DicomTree.cpp
  DicomViewer.cpp
  Dictionary.cpp
  EnhancedMrHandler.cpp
  FslNiftiOutputter.cpp
  GeDti2Handler.cpp
  GeDtiRbHandler.cpp
  GeEpiHandler.cpp
  Globals.cpp
  HandlerFactory.cpp
  ImageView.cpp
  InfoFrame.cpp
  MainHeader.cpp
  MRIConvert.cpp
  McFrame.cpp
  McPanel.cpp
  MessageList.cpp
  MetaHeader.cpp
  MetaOptionsDlg.cpp
  NewBvOutputter.cpp
  NewMetaOutputter.cpp
  NewMetaVolume.cpp
  NewSpmOutputter.cpp
  NewSpmVolume.cpp
  NiftiOptionsDlg.cpp
  NiftiOutputter.cpp
  NiftiVolume.cpp
  NoOptionsDlg.cpp
  NumarisMosaicHandler.cpp
  OutputFactory.cpp
  OutputList.cpp
  OutputTreeNew.cpp
  OutputterBase.cpp
  OverrideDlg.cpp
  OverwriteDlg.cpp
  Preamble.cpp
  SeriesHandler.cpp
  SpmOptionsDlg.cpp
  StringConvert.cpp
  SyngoHandler.cpp
  SyngoMosaicHandler.cpp
  TextFileViewer.cpp
  ValueRepresentations.cpp
  Volume.cpp
  jcsTree.cpp

  AchievaDtiHandler.h
  AnalyzeOptionsDlg.h
  AnalyzeOutputter.h
  AnalyzeVolume.h
  Basic3DOutputter.h
  BasicOptionsDlg.h
  BasicVolumeFormat.h
  BvFiles.h
  BvOptionsDlg.h
  ByteSwap.h
  ConfigValues.h
  Converter.h
  DicomElement.h
  DicomElementInstance.h
  DicomFile.h
  DicomTag.h
  DicomTags.h
  DicomTree.h
  DicomViewer.h
  Dictionary.h
  EnhancedMrHandler.h
  FslNiftiOutputter.h
  GeDti2Handler.h
  GeDtiRbHandler.h
  GeEpiHandler.h
  Globals.h
  HandlerFactory.h
  ImageView.h
  InfoFrame.h
  MainHeader.h
  MRIConvert.h
  McFrame.h
  McPanel.h
  MessageList.h
  MetaHeader.h
  MetaOptionsDlg.h
  NewBvOutputter.h
  NewMetaOutputter.h
  NewMetaVolume.h
  NewSpmOutputter.h
  NewSpmVolume.h
  NiftiOptionsDlg.h
  NiftiOutputter.h
  NiftiVolume.h
  NoOptionsDlg.h
  NumarisMosaicHandler.h
  OutputFactory.h
  OutputList.h
  OutputTreeNew.h
  OutputterBase.h
  OverrideDlg.h
  OverwriteDlg.h
  Preamble.h
  ReadStream.h
  SeriesHandler.h
  SpmOptionsDlg.h
  StringConvert.h
  SyngoHandler.h
  SyngoMosaicHandler.h
  TextFileViewer.h
  ValueRepresentations.h
  Volume.h
  jcsTree.h
  nifti1.h
  metaTypes.h
  resource.h
  fileformats.h
  version_string.h

  DicomFile.txx
  SeriesHandler.txx
  NewBvOutputter.txx
  Basic3DOutputter.txx

  MRIConvert.rc
  MRIConvert.ico
  MRIConvert.icns
)

ADD_EXECUTABLE ( mcverter
  McVerter.cpp
  AchievaDtiHandler.cpp
  AnalyzeOutputter.cpp
  AnalyzeVolume.cpp
  Basic3DOutputter.cpp
  BasicVolumeFormat.cpp
  BvFiles.cpp
  Converter.cpp
  DicomElement.cpp
  DicomElementInstance.cpp
  DicomFile.cpp
  DicomTag.cpp
  Dictionary.cpp
  EnhancedMrHandler.cpp
  FslNiftiOutputter.cpp
  GeDti2Handler.cpp
  GeDtiRbHandler.cpp
  GeEpiHandler.cpp
  Globals.cpp
  HandlerFactory.cpp
  MainHeader.cpp
  MetaHeader.cpp
  NewBvOutputter.cpp
  NewMetaOutputter.cpp
  NewMetaVolume.cpp
  NewSpmOutputter.cpp
  NewSpmVolume.cpp
  NiftiOutputter.cpp
  NiftiVolume.cpp
  NumarisMosaicHandler.cpp
  OutputFactory.cpp
  OutputList.cpp
  OutputterBase.cpp
  Preamble.cpp
  SeriesHandler.cpp
  StringConvert.cpp
  SyngoHandler.cpp
  SyngoMosaicHandler.cpp
  ValueRepresentations.cpp
  Volume.cpp

  McVerter.h
  AchievaDtiHandler.h
  AnalyzeOutputter.h
  AnalyzeVolume.h
  Basic3DOutputter.h
  BasicVolumeFormat.h
  BvFiles.h
  ByteSwap.h
  ConfigValues.h
  Converter.h
  DicomElement.h
  DicomElementInstance.h
  DicomFile.h
  DicomTag.h
  DicomTags.h
  Dictionary.h
  EnhancedMrHandler.h
  FslNiftiOutputter.h
  GeDti2Handler.h
  GeDtiRbHandler.h
  GeEpiHandler.h
  Globals.h
  HandlerFactory.h
  MainHeader.h
  MetaHeader.h
  NewBvOutputter.h
  NewMetaOutputter.h
  NewMetaVolume.h
  NewSpmOutputter.h
  NewSpmVolume.h
  NiftiOutputter.h
  NiftiVolume.h
  NumarisMosaicHandler.h
  OutputFactory.h
  OutputterBase.h
  Preamble.h
  ReadStream.h
  SeriesHandler.h
  StringConvert.h
  SyngoHandler.h
  SyngoMosaicHandler.h
  ValueRepresentations.h
  Volume.h
  nifti1.h
  metaTypes.h
  resource.h
  fileformats.h
  version_string.h

  DicomFile.txx
  SeriesHandler.txx
  NewBvOutputter.txx
  Basic3DOutputter.txx
)


if (WIN32)

  TARGET_LINK_LIBRARIES ( MRIConvert
    comctl32
    rpcrt4
    ${Boost_LIBRARIES}
    ${wxWidgets_LIBRARIES}
  )

  TARGET_LINK_LIBRARIES ( mcverter
    comctl32
    rpcrt4
    ${Boost_LIBRARIES}
    ${wxWidgets_LIBRARIES}
  )

else (WIN32)

  TARGET_LINK_LIBRARIES( MRIConvert ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )
  TARGET_LINK_LIBRARIES( mcverter ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )

endif (WIN32)

=== debian/changelog ===
mriconvert (1:2.0.7-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Wed, 01 Jan 2014 22:32:24 -0600

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9),
-               libboost-program-options1.54-dev,
+               libboost-program-options-dev,
                libwxgtk2.8-dev,
                cableswig,
                cmake,

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

VERSION := $(shell dpkg-parsechangelog | grep Version | cut -d\  -f2 | cut -d- -f1)

%:
	dh $@ --parallel

override_dh_install:
	dh_install */release/mcverter */release/MRIConvert usr/bin

override_dh_installman:
	help2man --no-info -n 'non-interactive MRI conversion software' --version-string $(VERSION) --no-discard-stderr */release/mcverter > mcverter.1
	dh_installman mcverter.1 debian/MRIConvert.1

## mriconvert 2.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 cmake_minimum_required( VERSION 2.8 )
 
 if (WIN32)
-  set( wxWidgets_ROOT_DIR C:/wxWidgets-2.8.12 )
-  set( BOOST_ROOT c:/boost_1_52_0 )
+  set( wxWidgets_ROOT_DIR C:/wxWidgets-3.0.0 )
+  add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
 else (WIN32)
   set( wxWidgets_ROOT_DIR /usr )
   ## Uncomment for gnu debug.
@@ -30,16 +30,7 @@
 if (wxWidgets_FOUND)
   include( ${wxWidgets_USE_FILE} )
 endif (wxWidgets_FOUND)
-  
-## Setup for Boost.
-set( Boost_USE_STATIC_LIBS TRUE )
-find_package( Boost COMPONENTS program_options REQUIRED )
-if (Boost_FOUND)
-  include_directories( ${Boost_INCLUDE_DIRS} )
-  link_directories( ${Boost_LIBRARY_DIRS} )
-endif (Boost_FOUND)
-  
-message ( "Boost libraries: ${Boost_LIBRARIES}" )
+
 message ( "wxWidgets libraries: ${wxWidgets_LIBRARIES}" )
     
 message( "System name ${CMAKE_HOST_SYSTEM_NAME}" )
@@ -106,6 +97,7 @@
   NewSpmVolume.cpp
   NiftiOptionsDlg.cpp
   NiftiOutputter.cpp
+  NiftiOutputterBase.cpp
   NiftiVolume.cpp
   NoOptionsDlg.cpp
   NumarisMosaicHandler.cpp
@@ -169,6 +161,7 @@
   NewSpmVolume.h
   NiftiOptionsDlg.h
   NiftiOutputter.h
+  NiftiOutputterBase.h
   NiftiVolume.h
   NoOptionsDlg.h
   NumarisMosaicHandler.h
@@ -194,11 +187,12 @@
   resource.h
   fileformats.h
   version_string.h
-
+  utf8proc-v1.1.6/utf8proc.h
+  
   DicomFile.txx
   SeriesHandler.txx
   NewBvOutputter.txx
-  Basic3DOutputter.txx
+  Basic3DConversion.txx
 
   MRIConvert.rc
   MRIConvert.ico
@@ -234,6 +228,7 @@
   NewSpmOutputter.cpp
   NewSpmVolume.cpp
   NiftiOutputter.cpp
+  NiftiOutputterBase.cpp
   NiftiVolume.cpp
   NumarisMosaicHandler.cpp
   OutputFactory.cpp
@@ -278,6 +273,7 @@
   NewSpmOutputter.h
   NewSpmVolume.h
   NiftiOutputter.h
+  NiftiOutputterBase.h
   NiftiVolume.h
   NumarisMosaicHandler.h
   OutputFactory.h
@@ -295,34 +291,48 @@
   resource.h
   fileformats.h
   version_string.h
-
+  utf8proc-v1.1.6/utf8proc.h
+  
   DicomFile.txx
   SeriesHandler.txx
   NewBvOutputter.txx
-  Basic3DOutputter.txx
+  Basic3DConversion.txx
 )
 
+## Need to get this working to support automated
+## build of the utf8proc library. 20150312cdt
+##add_library ( utf8proc
+##  utf8proc-v1.1.6/utf8proc.c
+##  utf8proc-v1.1.6/utf8proc_data.c
+##  utf8proc-v1.1.6/utf8proc.h
+##)
 
 if (WIN32)
 
   TARGET_LINK_LIBRARIES ( MRIConvert
     comctl32
     rpcrt4
-    ${Boost_LIBRARIES}
     ${wxWidgets_LIBRARIES}
+    c:/utf8proc-v1.1.6/utf8proc
   )
 
   TARGET_LINK_LIBRARIES ( mcverter
     comctl32
     rpcrt4
-    ${Boost_LIBRARIES}
     ${wxWidgets_LIBRARIES}
+    c:/utf8proc-v1.1.6/utf8proc
   )
 
 else (WIN32)
 
-  TARGET_LINK_LIBRARIES( MRIConvert ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )
-  TARGET_LINK_LIBRARIES( mcverter ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )
+  TARGET_LINK_LIBRARIES( MRIConvert
+    ${wxWidgets_LIBRARIES}
+    ${CMAKE_SOURCE_DIR}/utf8proc-v1.1.6/libutf8proc.a
+  )
+
+  TARGET_LINK_LIBRARIES( mcverter
+    ${wxWidgets_LIBRARIES}
+    ${CMAKE_SOURCE_DIR}/utf8proc-v1.1.6/libutf8proc.a
+  )
 
 endif (WIN32)
-

=== utf8proc-v1.1.6/Makefile ===
# libutf8proc Makefile


# settings

cflags = -O2 -std=c99 -pedantic -Wall -fpic $(CFLAGS)
cc = $(CC) $(cflags)


# meta targets

c-library: libutf8proc.a libutf8proc.so

ruby-library: ruby/utf8proc_native.so

pgsql-library: pgsql/utf8proc_pgsql.so

all: c-library ruby-library ruby-gem pgsql-library

clean::
	rm -f utf8proc.o libutf8proc.a libutf8proc.so
	cd ruby/ && test -e Makefile && (make clean && rm -f Makefile) || true
	rm -Rf ruby/gem/lib ruby/gem/ext
	rm -f ruby/gem/utf8proc-*.gem
	cd pgsql/ && make clean

# real targets

utf8proc.o: utf8proc.h utf8proc.c utf8proc_data.c
	$(cc) -c -o utf8proc.o utf8proc.c

libutf8proc.a: utf8proc.o
	rm -f libutf8proc.a
	ar rs libutf8proc.a utf8proc.o

libutf8proc.so: utf8proc.o
	$(cc) -shared -o libutf8proc.so utf8proc.o
	chmod a-x libutf8proc.so

libutf8proc.dylib: utf8proc.o
	$(cc) -dynamiclib -o $@ $^ -install_name $(libdir)/$@

ruby/Makefile: ruby/extconf.rb
	cd ruby && ruby extconf.rb

ruby/utf8proc_native.so: utf8proc.h utf8proc.c utf8proc_data.c \
		ruby/utf8proc_native.c ruby/Makefile
	cd ruby && make

ruby/gem/lib/utf8proc.rb: ruby/utf8proc.rb
	test -e ruby/gem/lib || mkdir ruby/gem/lib
	cp ruby/utf8proc.rb ruby/gem/lib/

ruby/gem/ext/extconf.rb: ruby/extconf.rb
	test -e ruby/gem/ext || mkdir ruby/gem/ext
	cp ruby/extconf.rb ruby/gem/ext/

ruby/gem/ext/utf8proc_native.c: utf8proc.h utf8proc_data.c utf8proc.c ruby/utf8proc_native.c
	test -e ruby/gem/ext || mkdir ruby/gem/ext
	cat utf8proc.h utf8proc_data.c utf8proc.c ruby/utf8proc_native.c | grep -v '#include "utf8proc.h"' | grep -v '#include "utf8proc_data.c"' | grep -v '#include "../utf8proc.c"' > ruby/gem/ext/utf8proc_native.c

ruby-gem:: ruby/gem/lib/utf8proc.rb ruby/gem/ext/extconf.rb ruby/gem/ext/utf8proc_native.c
	cd ruby/gem && gem build utf8proc.gemspec

pgsql/utf8proc_pgsql.so: utf8proc.h utf8proc.c utf8proc_data.c \
		pgsql/utf8proc_pgsql.c
	cd pgsql && make

=== debian/changelog ===
mriconvert (1:2.0.8-3) unstable; urgency=medium

  * patches/build-with-fPIC: New.  Build with -fPIC.  Closes: #798394.

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Sep 2015 23:09:01 -0500

mriconvert (1:2.0.8-2) unstable; urgency=medium

  * copyright: Add license for utf8proc-v1.1.6/*.

 -- Steve M. Robbins <smr@debian.org>  Sat, 04 Jul 2015 23:16:29 -0500

mriconvert (1:2.0.8-1) unstable; urgency=medium

  * New upstream.

  * control: Bump standards-version to 3.9.6.  Remove unnecessary
    cableswig build-dep (been there forever, but not sure why).

 -- Steve M. Robbins <smr@debian.org>  Wed, 01 Jul 2015 16:44:42 -0500

mriconvert (1:2.0.7-2) unstable; urgency=medium

  * Update to use wxWidgets 3.0.  Closes: #742019.

 -- Steve M. Robbins <smr@debian.org>  Tue, 18 Mar 2014 23:49:38 -0500

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9),
                libboost-program-options-dev,
-               libwxgtk2.8-dev,
-               cableswig,
+               libwxgtk3.0-dev,
                cmake,
                help2man,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mriconvert/trunk/

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 %:
 	dh $@ --parallel
 
+override_dh_auto_build:
+	make -C utf8proc-v1.1.6 c-library
+	dh_auto_build
+
 override_dh_install:
 	dh_install */release/mcverter */release/MRIConvert usr/bin

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/^(\S+-x86(?:\.64)?(?:-rhel)?)$/0.0.$1/;s/-src$// \
http://lcni.uoregon.edu/~jolinda/MRIConvert/ \
(?:|.*/)MRIConvert[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## mriconvert 2.0.235

=== CMakeLists.txt ===
PROJECT(MRIConvert)

cmake_minimum_required(VERSION 2.6)


## The stuff under "else (win32)" should also work under windows, but it didn't for me.
## I didn't want to spend a lot of time getting it to work, so I just set up the win32 stuff
## manually.

IF (WIN32)

  SET(WX_PATH CACHE PATH "wxWidgets directory")

  INCLUDE_DIRECTORIES(${WX_PATH}/include
                      ${WX_PATH}/lib/vc_lib/msw )

  LINK_DIRECTORIES( ${WX_PATH}/lib/vc_lib)

ELSE(WIN32)

##  IF(NOT APPLE)
##	SET(CMAKE_FIND_LIBRARY_SUFFIXES .a)
##	SET(CMAKE_EXE_LINKER_FLAGS -static)
##  endif(NOT APPLE)

  SET(WXW_USE_DEBUG OFF)
  SET(WXW_USE_UNICODE ON)
  SET(WXW_USE_SHARED ON)
  SET(WXW_USE_UNIV OFF)
  SET(WXW_USE_MONO OFF)
  SET(WXW_FILE_VERSION "28")
  SET(WXW_VERSION "2.8")

  SET(CMAKE_VERBOSE_MAKEFILE TRUE)

  SET(EXECUTABLE_OUTPUT_PATH "release")
  
  INCLUDE (FindwxWidgets)
  
  SET(CMAKE_CXX_FLAGS " -DWX_PRECOMP ${CMAKE_CXX_FLAGS}${wxWidgets_CXX_FLAGS}")

  ADD_DEFINITIONS( ${wxWidgets_DEFINITIONS} ${PROJECT_DEFINITIONS} )

  INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIRS})
  LINK_DIRECTORIES( ${wxWidgets_LIBRARY_DIRS} )
  
ENDIF(WIN32)


IF( OS_X )
   message( "OS X build" )
   SET( MACOSX_BUNDLE_INFO_STRING "MRIConvert - version 2.0" )
   SET( MACOSX_BUNDLE_BUNDLE_VERSION "2.0" )
   # Change following line to point to actual icns file in bundle.
   SET( MACOSX_BUNDLE_ICON_FILE "MRIConvert.icns" )
   SET( MACOSX_BUNDLE_GUI_IDENTIFIER "edu.uoregon.lcni.MRIConvert" )
   SET( MACOSX_BUNDLE_BUNDLE_NAME "MRIConvert" )

   EXEC_PROGRAM( "cp macosx/MRIConvert.icns macosx/MRIConvert.app/Contents/Resources")

   # Overload the Info.plist default
   SET( CMAKE_MODULE_PATH macosx ${CMAKE_MODULE_PATH} )
ENDIF( OS_X )

ADD_EXECUTABLE(MRIConvert WIN32 MACOSX_BUNDLE
	AnalyzeOutputter.cpp
	AnalyzeVolume.cpp
	Basic3DOutputter.cpp
	BasicVolumeFormat.cpp
	BvFiles.cpp
	Converter.cpp
	DicomFile.cpp
	DicomTree.cpp
	DicomViewer.cpp
	Dictionary.cpp
	FslNiftiOutputter.cpp
	HandlerFactory.cpp
	ImageView.cpp
	InfoFrame.cpp
	MRIConvert.cpp
	McFrame.cpp
	McPanel.cpp
	MessageList.cpp
	NewBvOutputter.cpp
	NewMetaOutputter.cpp
	NewMetaVolume.cpp
	NewSpmOutputter.cpp
	NewSpmVolume.cpp
	NiftiOutputter.cpp
	NiftiVolume.cpp
	OutputFactory.cpp
	OutputList.cpp
	OutputTreeNew.cpp
	OutputterBase.cpp
	OverwriteDlg.cpp
	OptionsDialogs.cpp
	SeriesHandler.cpp
	StringConvert.cpp
	TextFileViewer.cpp
	Volume.cpp
	jcsTree.cpp

	AnalyzeOutputter.h
	AnalyzeVolume.h
	Basic3DOutputter.h
	BasicVolumeFormat.h
	BvFiles.h
	ByteSwap.h
	Converter.h
	DicomFile.h
	DicomTree.h
	DicomViewer.h
	Dictionary.h
	FslNiftiOutputter.h
	HandlerFactory.h
	ImageView.h
	InfoFrame.h
	MRIConvert.h
	McFrame.h
	McPanel.h
	MessageList.h
	NewBvOutputter.h
	NewMetaOutputter.h
	NewMetaVolume.h
	NewSpmOutputter.h
	NewSpmVolume.h
	NiftiOutputter.h
	NiftiVolume.h
	OptionsDialogs.h
	OutputFactory.h
	OutputList.h
	OutputTreeNew.h
	OutputterBase.h
	OverwriteDlg.h
	ReadStream.h
	SeriesHandler.h
	StringConvert.h
	TextFileViewer.h
	Volume.h
	jcsTree.h
	nifti1.h
	metaTypes.h
	resource.h
	fileformats.h
	version_string.h

	DicomFile.txx
	SeriesHandler.txx
	NewBvOutputter.txx
	Basic3DOutputter.txx

	MRIConvert.ico
)

ADD_EXECUTABLE(mcverter
	McVerter.cpp
	AnalyzeOutputter.cpp
	AnalyzeVolume.cpp
	Basic3DOutputter.cpp
	BasicVolumeFormat.cpp
	BvFiles.cpp
	Converter.cpp
	DicomFile.cpp
	Dictionary.cpp
	FslNiftiOutputter.cpp
	HandlerFactory.cpp
	NewBvOutputter.cpp
	NewMetaOutputter.cpp
	NewMetaVolume.cpp
	NewSpmOutputter.cpp
	NewSpmVolume.cpp
	NiftiOutputter.cpp
	NiftiVolume.cpp
	OutputFactory.cpp
	OutputList.cpp
	OutputterBase.cpp
	SeriesHandler.cpp
	StringConvert.cpp
	Volume.cpp

	McVerter.h
	AnalyzeOutputter.h
	AnalyzeVolume.h
	Basic3DOutputter.h
	BasicVolumeFormat.h
	BvFiles.h
	ByteSwap.h
	Converter.h
	DicomFile.h
	Dictionary.h
	FslNiftiOutputter.h
	HandlerFactory.h
	NewBvOutputter.h
	NewMetaOutputter.h
	NewMetaVolume.h
	NewSpmOutputter.h
	NewSpmVolume.h
	NiftiOutputter.h
	NiftiVolume.h
	OutputFactory.h
	OutputterBase.h
	ReadStream.h
	SeriesHandler.h
	StringConvert.h
	Volume.h
	nifti1.h
	metaTypes.h
	resource.h
	fileformats.h
	version_string.h

	DicomFile.txx
	SeriesHandler.txx
	NewBvOutputter.txx
	Basic3DOutputter.txx
)


IF (WIN32)

  TARGET_LINK_LIBRARIES( MRIConvert

	optimized wxbase28u
	optimized wxmsw28u_core
	optimized wxjpeg
	optimized wxpng
	optimized wxtiff
	optimized wxzlib
	debug     wxbase28ud
	debug     wxmsw28ud_core
	debug     wxjpegd
	debug     wxtiffd
	debug     wxpngd
	debug     wxzlibd
	          comctl32
	          rpcrt4
 )

  TARGET_LINK_LIBRARIES( mcverter

	optimized wxbase28u
	optimized wxmsw28u_core
	debug     wxbase28ud
	debug     wxmsw28ud_core
	          comctl32
		  rpcrt4
  )

ELSE(WIN32)

  TARGET_LINK_LIBRARIES(MRIConvert ${wxWidgets_LIBRARIES})
  TARGET_LINK_LIBRARIES(mcverter ${wxWidgets_LIBRARIES})

ENDIF(WIN32)

=== debian/control ===
Source: mriconvert
Homepage: http://lcni.uoregon.edu/~jolinda/MRIConvert/
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), help2man, cmake, cableswig,
 libinsighttoolkit3-dev, libwxgtk2.8-dev
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mriconvert/trunk/

Package: mriconvert
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: medical image file conversion utility
 MRIConvert is a medical image file conversion utility that converts
 DICOM files to NIfTI 1.1, Analyze 7.5, SPM99/Analyze, BrainVoyager,
 and MetaImage volume formats.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

VERSION = 2.0.235


%:
	dh $@ --with quilt --parallel

override_dh_install:
	dh_install */release/mcverter */release/MRIConvert usr/bin

override_dh_installman:
	help2man -n 'non-interactive MRI conversion software' --version-string $(VERSION) --no-discard-stderr */release/mcverter > mcverter.1
	dh_installman mcverter.1 debian/MRIConvert.1

get-orig-source:
	./debian/get-orig-source

=== debian/watch ===
version=3
http://lcni.uoregon.edu/~jolinda/MRIConvert/MRIConvert_([\d\.]+).zip

## mriconvert 2.0.250

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,68 +1,80 @@
+#####################################################
+## CMakeLists.txt for MRIConvert and mcverter
+##
+
 PROJECT(MRIConvert)
 
-cmake_minimum_required(VERSION 2.6)
-
-
-## The stuff under "else (win32)" should also work under windows, but it didn't for me.
-## I didn't want to spend a lot of time getting it to work, so I just set up the win32 stuff
-## manually.
+cmake_minimum_required( VERSION 2.6 )
+
+
+## The stuff under "else (win32)" should also work under windows,
+## but it didn't for me.
+## I didn't want to spend a lot of time getting it to work, so
+## I just set up the win32 stuff manually.
 
 IF (WIN32)
-
   SET(WX_PATH CACHE PATH "wxWidgets directory")
-
-  INCLUDE_DIRECTORIES(${WX_PATH}/include
-                      ${WX_PATH}/lib/vc_lib/msw )
-
+  INCLUDE_DIRECTORIES(${WX_PATH}/include ${WX_PATH}/lib/vc_lib/msw )
   LINK_DIRECTORIES( ${WX_PATH}/lib/vc_lib)
-
-ELSE(WIN32)
-
-##  IF(NOT APPLE)
-##	SET(CMAKE_FIND_LIBRARY_SUFFIXES .a)
-##	SET(CMAKE_EXE_LINKER_FLAGS -static)
-##  endif(NOT APPLE)
-
+ELSE (WIN32)
+
+  SET(CMAKE_VERBOSE_MAKEFILE TRUE)
+  SET(CMAKE_OSX_ARCHITECTURES "x86_64")
+  SET(EXECUTABLE_OUTPUT_PATH "release")
+
+  
+  ## Convert to UsewxWidgets.cmake.
+  ## Automagically sets CXX_DEFINES; add_definitions no longer needed, 
+  ## and, in fact, will pollute the time line if used.
+  ## Setup for wxWidgets.
   SET(WXW_USE_DEBUG OFF)
   SET(WXW_USE_UNICODE ON)
-  SET(WXW_USE_SHARED ON)
+  SET(WXW_USE_SHARED OFF)
   SET(WXW_USE_UNIV OFF)
   SET(WXW_USE_MONO OFF)
-  SET(WXW_FILE_VERSION "28")
-  SET(WXW_VERSION "2.8")
-
-  SET(CMAKE_VERBOSE_MAKEFILE TRUE)
-
-  SET(EXECUTABLE_OUTPUT_PATH "release")
+  SET(WXW_FILE_VERSION "29")
+  SET(WXW_VERSION "2.9")
+  SET( wxWidgets_ROOT_DIR /usr )
+  SET( wxWidgets_USE_LIBS base core )
+  FIND_PACKAGE( wxWidgets REQUIRED )
+  INCLUDE( ${wxWidgets_USE_FILE} )
+  SET( CMAKE_CXX_FLAGS " -DWX_PRECOMP ${CMAKE_CXX_FLAGS} ${wxWidgets_CXX_FLAGS} " )
+  INCLUDE_DIRECTORIES( ${wxWidgets_INCLUDE_DIRS} )
+  LINK_DIRECTORIES( ${wxWidgets_LIBRARY_DIRS} )
+  message( "wxWidgets Library Dirs ${wxWidgets_LIBRARY_DIRS}" )
+  message("XXX ${wxWidgets_LIBRARIES}")
+
+  ## Setup for Boost.
+  ##set(Boost_DEBUG 1)
+  set( Boost_USE_STATIC_LIBS TRUE )
+  find_package( Boost COMPONENTS program_options REQUIRED )
+  include_directories( ${Boost_INCLUDE_DIRS} )
+  link_directories( ${Boost_LIBRARY_DIRS} )
+  ## This should reference a static library.
+  message("XXX ${Boost_LIBRARIES}")
+
+  ## Uncomment for gnu debug.
+  ##SET( CMAKE_CXX_FLAGS " -ggdb ${CMAKE_CXX_FLAGS} " )
   
-  INCLUDE (FindwxWidgets)
-  
-  SET(CMAKE_CXX_FLAGS " -DWX_PRECOMP ${CMAKE_CXX_FLAGS}${wxWidgets_CXX_FLAGS}")
-
-  ADD_DEFINITIONS( ${wxWidgets_DEFINITIONS} ${PROJECT_DEFINITIONS} )
-
-  INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIRS})
-  LINK_DIRECTORIES( ${wxWidgets_LIBRARY_DIRS} )
-  
-ENDIF(WIN32)
-
-
-IF( OS_X )
-   message( "OS X build" )
-   SET( MACOSX_BUNDLE_INFO_STRING "MRIConvert - version 2.0" )
-   SET( MACOSX_BUNDLE_BUNDLE_VERSION "2.0" )
-   # Change following line to point to actual icns file in bundle.
-   SET( MACOSX_BUNDLE_ICON_FILE "MRIConvert.icns" )
-   SET( MACOSX_BUNDLE_GUI_IDENTIFIER "edu.uoregon.lcni.MRIConvert" )
-   SET( MACOSX_BUNDLE_BUNDLE_NAME "MRIConvert" )
-
-   EXEC_PROGRAM( "cp macosx/MRIConvert.icns macosx/MRIConvert.app/Contents/Resources")
-
-   # Overload the Info.plist default
-   SET( CMAKE_MODULE_PATH macosx ${CMAKE_MODULE_PATH} )
-ENDIF( OS_X )
-
-ADD_EXECUTABLE(MRIConvert WIN32 MACOSX_BUNDLE
+ENDIF (WIN32)
+
+message( "System name ${CMAKE_HOST_SYSTEM_NAME}" )
+
+IF ( ${CMAKE_HOST_APPLE} )
+  message( "OS X build" )
+message ("Shared: ${WXW_USE_SHARED}" )
+  ##SET( CMAKE_CXX_FLAGS " -m32 ${CMAKE_CXX_FLAGS} " )
+  SET( MACOSX_BUNDLE_INFO_STRING "MRIConvert - version 2.0" )
+  SET( MACOSX_BUNDLE_BUNDLE_VERSION "2.0" )
+  # Change following line to point to actual icns file in bundle.
+  SET( MACOSX_BUNDLE_ICON_FILE "MRIConvert.icns" )
+  SET( MACOSX_BUNDLE_GUI_IDENTIFIER "edu.uoregon.lcni.MRIConvert" )
+  SET( MACOSX_BUNDLE_BUNDLE_NAME "MRIConvert" )
+## SET_SOURCE_FILES_PROPERTIES(${ICON_FILE_PATH} PROPERTIES
+##                             MACOSX_PACKAGE_LOCATION Resources)
+ENDIF ( ${CMAKE_HOST_APPLE} )
+
+ADD_EXECUTABLE ( MRIConvert WIN32 MACOSX_BUNDLE
 	AnalyzeOutputter.cpp
 	AnalyzeVolume.cpp
 	Basic3DOutputter.cpp
@@ -152,7 +164,7 @@
 	MRIConvert.ico
 )
 
-ADD_EXECUTABLE(mcverter
+ADD_EXECUTABLE ( mcverter
 	McVerter.cpp
 	AnalyzeOutputter.cpp
 	AnalyzeVolume.cpp
@@ -218,7 +230,7 @@
 
 IF (WIN32)
 
-  TARGET_LINK_LIBRARIES( MRIConvert
+  TARGET_LINK_LIBRARIES ( MRIConvert
 
 	optimized wxbase28u
 	optimized wxmsw28u_core
@@ -234,22 +246,24 @@
 	debug     wxzlibd
 	          comctl32
 	          rpcrt4
- )
-
-  TARGET_LINK_LIBRARIES( mcverter
+	${Boost_LIBRARIES}
+  )
+
+  TARGET_LINK_LIBRARIES ( mcverter
 
 	optimized wxbase28u
 	optimized wxmsw28u_core
 	debug     wxbase28ud
 	debug     wxmsw28ud_core
 	          comctl32
-		  rpcrt4
+	      	  rpcrt4
+	${Boost_LIBRARIES}
   )
 
-ELSE(WIN32)
-
-  TARGET_LINK_LIBRARIES(MRIConvert ${wxWidgets_LIBRARIES})
-  TARGET_LINK_LIBRARIES(mcverter ${wxWidgets_LIBRARIES})
-
-ENDIF(WIN32)
-
+ELSE (WIN32)
+
+  TARGET_LINK_LIBRARIES( MRIConvert ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )
+  TARGET_LINK_LIBRARIES( mcverter ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )
+
+ENDIF (WIN32)
+

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), help2man, cmake, cableswig,
- libinsighttoolkit3-dev, libwxgtk2.8-dev
+Build-Depends: debhelper (>= 9), help2man, cmake, cableswig, libboost-program-options-dev,
+ libinsighttoolkit4-dev, libwxgtk2.8-dev
 Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mriconvert/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mriconvert/trunk/
 
 Package: mriconvert
 Section: science

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

VERSION := $(shell dpkg-parsechangelog | grep Version | cut -d\  -f2 | cut -d- -f1)

%:
	dh $@ --parallel

override_dh_install:
	dh_install */release/mcverter */release/MRIConvert usr/bin

override_dh_installman:
	help2man -n 'non-interactive MRI conversion software' --version-string $(VERSION) --no-discard-stderr */release/mcverter > mcverter.1
	dh_installman mcverter.1 debian/MRIConvert.1

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/([\d.]+)-r(\d+)/$1.$2/,\
downloadurlmangle=s/MRIConvert_.*/mriconvert_sources.zip/,\
filenamemangle=s/.*/mriconvert_sources.orig.zip/\
   http://lcni.uoregon.edu/~jolinda/MRIConvert/MRIConvert_x86-([\d\.]+-r\d+)\.tar\.gz
